Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
kyototycoon::ThreadedServer::Logger Class Reference

Interface to log internal information and errors. More...

`#include <ktthserv.h>`

List of all members.

## Public Types
enum | Kind { DEBUG = 1 << 0, INFO = 1 << 1, SYSTEM = 1 << 2, ERROR = 1 << 3 }
| Event kinds. More...
## Public Member Functions
virtual | ~Logger ()
| Destructor.
virtual void | log (Kind kind, const char *message)=0
| Process a log message.

## Detailed Description

Interface to log internal information and errors.

## Member Enumeration Documentation

enum kyototycoon::ThreadedServer::Logger::Kind

Event kinds.

Enumerator:

  DEBUG | normal information
  INFO | normal information
  SYSTEM | system information
  ERROR | error

## Constructor & Destructor Documentation

virtual kyototycoon::ThreadedServer::Logger::~Logger | ( |  | ) | `[virtual]`

Destructor.

Reimplemented in kyototycoon::HTTPServer::Logger, and kyototycoon::RPCServer::Logger.

## Member Function Documentation

virtual void kyototycoon::ThreadedServer::Logger::log | ( | Kind | kind,
|  | const char * | message
| ) |  | `[pure virtual]`

Process a log message.

Parameters:

  kind | the kind of the event. Logger::DEBUG for debugging, Logger::INFO for normal information, Logger::SYSTEM for system information, and Logger::ERROR for fatal error.
  message | the log message.